Subject: Re: [eman] EMAN MIB reviews and development process understanding

From: Benoit Claise <[email-masked]>
Date: Wed, 03 Nov 2010 23:26:23 +0800

Hi Chris,

Thanks for interest and comments.
Your phase approach is the right one in terms of priorities of issues.
Let's see how it matches the charter.

> Hi EMAN WG,
>
> I've been looking further into the ENERGY-AWARE-MIB, 
> POWER-MONITOR-MIB, and POWER-QUALITY-MIB from an implementer's 
> perspective.  Speaking personally and not on behalf of my employer, I 
> am extremely excited by the potential that these MIBs and the EMAN 
> group has on simplifying power management.  A common schema for data 
> reporting and control management will be awesome to finally get in place.
>
> That being said, the three MIBs currently being proposed are 
> definitely expansive.  Understanding their nuances and providing 
> adequate reviews for all possible scenarios (intelligent PDUs, PoE 
> network switches, PoE edge devices, etc.) seems to be challenges that 
> could impact release dates.  I'm also a little confused with some of 
> these MIBs, as they appear to have some overlapping scope/implied 
> meaning.  As an implementer, I am eagerly poised to start coding these 
> up, but want to ensure that they are going to meet my long-term needs 
> without significant changes.
>
> As an agenda suggestion for the next WG meeting, would it be 
> appropriate to discuss a phased release process?  In such a process, 
> the functionality added at each stage is separately contained, modular 
> for maintenance purposes, and adds upon each other in a focused 
> approach.  For example, by exposing Phase 1 sooner, then 
> enterprise-specific extensions can be worked on while the features in 
> Phases 2 and 3 are being developed further.
>
> To prompt discussion, here's one suggestion of how the work can be 
> broken down into phases:
>
> *Phase 1 -- Core Functionality*
>
> ·Setup a table that lists all power management entities (like 
> ENTITY-MIB, but for power entities, so perhaps POWER-ENTITY-MIB?)
>
> oPurpose of the table is focused on enumerating all entities that 
> support power management using a concise, flexible structure
>
> oObjects pass the test "Is this object necessary to describing all 
> power entities?"
>
> oCreate a unique index value (pwrEntityIndex)
>
> oLink pwrEntityIndex with entPhysicalIndex, if ENTITY-MIB is supported
>
> oDescribe the entity with pwrEntityName, pwrEntityDescr, 
> pwrEntityType, and pwrEntityParent
>
This matches this entry in the charter:

    3. Energy-aware Networks and Devices MIB document The EMAN WG will
    develop a MIB module for monitoring energy-aware networks and devices.
    The module will address devices identification, context information, and
    potential relationship between reporting devices, remote devices, and
    monitoring probes.

> *Phase 2 -- State Functionality*
>
> ·Setup a sparse table that supports state monitoring/control of power 
> management entities (POWER-STATE-MIB?)
>
> oPurpose of the table is focused on providing state management of 
> power entities
>
> oLink to pwrEntityIndex
>
> oDescribe the state with pwrStateLevel (off, on, tripped, shed, 
> reboot, ...?)
>
> oDescribe the relative state with pwrStateRelLevel (0-100%?) and/or 
> pwrStateAcpiLevel (0..12?)
>
This matches this entry in the charter:

    4. Power and Energy Monitoring MIB document The EMAN WG will develop a
    document defining managed objects for monitoring of power states and
    energy consumption/production. The monitoring of power states includes:
    retrieving power states, properties of power states, current power
    state, power state transitions, and power state statistics.
    The managed objects will provide means for reporting detailed properties
    of the actual energy rate (power) and of accumulated energy. Further, it
    will provide information on electrical power quality.

> *Phase 3 -- Meter Functionality*
>
> ·Setup a sparse table that supports power management entities that 
> report meter data (POWER-METER-MIB?)
>
> oPurpose of the table is focused on providing meter data for power 
> entities
>
> oLink to pwrEntityIndex
>
> oStructure TBD ... probably similar to POWER-MONITOR-MIB or 
> POWER-QUALITY-MIB
>
This matches this entry in the charter:

    4. Power and Energy Monitoring MIB document The EMAN WG will develop a
    document defining managed objects for monitoring of power states and
    energy consumption/production. The monitoring of power states includes:
    retrieving power states, properties of power states, current power
    state, power state transitions, and power state statistics.
    The managed objects will provide means for reporting detailed properties
    of the actual energy rate (power) and of accumulated energy. Further, it
    will provide information on electrical power quality.

> *Phase 4 -- Configuration Control Functionality*
>
> ·Setup a sparse table that supports configuration parameters of power 
> management entities (POWER-CONFIG-MIB?)
>
> oPurpose of the table is focused on providing configuration management 
> of power entities
>
> oLink to pwrEntityIndex
>
> oStructure TBD ... probably based on the components of 
> ENERGY-AWARE-MIB not used in Phase 1
>
> oDescribe the entity with pwrConfigKeywords, pwrConfigImportance, 
> pwrConfigRole, etc.
>
The MIB oid would exist already in the previous MIB module. Isn't it 
just a question of making read-write.
>
> If the development plan/approach isn't already on the agenda, is this 
> something we can add?
>
The agenda is actually matching this order of issues. See 
http://www.ietf.org/proceedings/79/agenda/eman.txt, with some time on 
the framework to make sure we agree on the high level concepts

Regards, Benoit
>
> If there is a call-in to the meeting, I'd be happy to participate 
> remotely as a interested implementer.  (Unfortunately, Beijing is 
> beyond my travel budget!  :-)
>
> Again, thank you for your work in establishing an industry standard in 
> this area!  Please let me know if there's anything I can do to help.
>
> Best regards,
>
> Chris
>
>
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman